# ICF

First, create the ICF Code System:

```
POST /codesystems
{
  "id": "icf",
  "url": "http://klassifikationer.socialstyrelsen.se/icf",
  "title": "ICF",
  "language": "se",
  "description": "# Internationell klassifikation av funktionstillstånd, funktionshinder och hälsa",
  "status": "active",
  "contact": "klassif@socialstyrelsen.se - Avdelningen för register och statistik, Enheten för klassifikationer och terminologi",
  "owner": "ownerUserId",
  "oid": "1.2.752.116.1.1.3",
  "toolingId": "lcs",
  "settings": {
      "publisher": "Socialstyrelsen",
      "isPublic": true
  }
}
```

Then, using column mapping import the concepts from the official TSV file:

```
POST /lcs/icf/import?idColumn=Kod&ptColumn=Titel&synonymColumns=Beskrivning&synonymColumns=Alternativ%20titel&parentColumn=Överordnad%20kod&locale=se -F "file=@icf-2024-01-01.tsv"
```

And last, create a new version to mark the content:

```
POST /versions
{
  "resource": "codesystems/icf",
  "version": "2024-01-01",
  "description": "2024-01-01 release",
  "effectiveTime": "2024-01-01"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.b2ihealthcare.com/snow-owl/terminology-standards/socialstyrelsen-standards/icf.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
